module top_ultrasonic_led (
    input wire clk,
    input wire start,       // bouton de déclenchement
    inout wire sig,         // broche unique pour trigger + echo
    output wire [5:0] leds  // LEDs pour affichage distance
);

    wire [15:0] distance;

    // Module de mesure (version bidirectionnelle du capteur)
    ultrasonic_fpga ultrasonic_inst (
        .clk(clk),
        .start(start),
        .sig(sig),
        .distance(distance)
    );

    // Module d'affichage LEDs
    distance_display_led led_display_inst (
        .distance(distance),
        .leds(leds)
    );

endmodule
